Subject: Re: linux-next: Tree for Jul 14

From: Nathan Chancellor <[email-masked]>
Date: Thu, 14 Jul 2022 09:29:17 -0700

On Thu, Jul 14, 2022 at 05:21:32PM +0100, Sudip Mukherjee wrote:
> Hi Nathan,
> 
> On Thu, Jul 14, 2022 at 5:05 PM Nathan Chancellor <[email-masked]> wrote:
> >
> > Hi Sudip,
> >
> > On Thu, Jul 14, 2022 at 12:07:06PM +0100, Sudip Mukherjee (Codethink) wrote:
> > > Hi Stephen,
> > >
> > > On Thu, Jul 14, 2022 at 06:55:14PM +1000, Stephen Rothwell wrote:
> > > > Hi all,
> > > >
> > > > Changes since 20220713:
> > >
> > > Build failures on next-20220714:
> >
> > <snip>
> >
> > > x86_64 allmodconfig with clang fails with:
> > >
> > > drivers/clk/qcom/gpucc-sm8350.c:111:2: error: initializer element is not a compile-time constant
> > >         gpu_cc_parent,
> > >         ^~~~~~~~~~~~~
> > > drivers/clk/qcom/gpucc-sm8350.c:126:2: error: initializer element is not a compile-time constant
> > >         gpu_cc_parent,
> > >         ^~~~~~~~~~~~~
> >
> > I sent https://lore.kernel.org/[email-masked]/
> > for this a few days ago, it just needs to be picked up.
> >
> > > arch/x86/kernel/cpu/bugs.c:58:21: error: section attribute is specified on redeclared variable [-Werror,-Wsection]
> > > DEFINE_PER_CPU(u64, x86_spec_ctrl_current);
> > >                     ^
> > > ./arch/x86/include/asm/nospec-branch.h:283:12: note: previous declaration is here
> > > extern u64 x86_spec_ctrl_current;
> >
> > This is now fixed in -tip so it should be fixed in -next tomorrorow:
> >
> > https://git.kernel.org/tip/db866d3352ec85e821e730e191481cba3a2bfa6e
> 
> This should also go to Linus. This failure is in the mainline also.
> https://lore.kernel.org/lkml/Ys6sZj6KYthnDppq@debian/

Yes, it is in the x86/urgent branch so it should get there by -rc7. Our
CI is red too :(

> > In the future, consider CC'ing our mailing list ([email-masked])
> > for any clang related issues so that we can get them taken care of ASAP,
> > we have a MAINTAINERS entry for a reason :) thank you for testing with
> > clang; the more people that use it, hopefully the easier it will be to
> > get things unbroken.
> 
> Sure. I run arm, arm64, powerpc and x86_64 allmodconfigs with clang
> (along with gcc) every night for mainline, started with linux-next
> from today. Trying to setup the mips build also, I will mail llvm list
> asking for help with the mips build.
> Currently I only monitor the clang output from x86_64 as thats the one
> which builds. If you want I can send the other reports also.

Sure! I am not sure that we have tested mips or powerpc allmodconfig now
that I am thinking about it but we'll certainly take a look at any
issues that come from them and see what we can do.

arm and arm64 are not warning free so disabling CONFIG_WERROR will help
out there (arm64 is a recent failure that I have not been able to
entirely figure out: https://github.com/ClangBuiltLinux/linux/issues/1642)
but I do want to get those warning clean soon so they just build out of
the box.

Cheers,
Nathan